- Main Page
- Tutorials
- Functions
- Release Notes
- Examples

Data Fields
af_index_t Struct Reference

Struct used while indexing af_array. More...

`#include <index.h>`

## Data Fields
union {
af_array arr
| The af_array used for indexing. More...
af_seq seq
| The af_seq used for indexing. More...
} | idx
bool | isSeq
| If true the idx value represents a seq. More...
bool | isBatch
| If true the seq object is a batch parameter. More...

## Detailed Description

Struct used while indexing af_array.

This struct represents objects which can be used to index into an af_array Object. It contains a union object which can be an af_seq or an af_array. Indexing with an int can be represented using a af_seq object with the same af_seq::begin and af_seq::end with an af_seq::step of 1

## Field Documentation

af_array arr

The af_array used for indexing.

union { ... } idx

bool isBatch

If true the seq object is a batch parameter.

bool isSeq

If true the idx value represents a seq.

af_seq seq

The af_seq used for indexing.

The documentation for this struct was generated from the following file:

- index.h